# Gst::MessageRequestState Class Reference

A request state message. More...

Inherits Gst::Message.

Collaboration diagram for Gst::MessageRequestState:
[legend]

List of all members.

## Public Member Functions

| MessageRequestState (GstMessage* castitem)
Gst::State | parse () const
| Extract the requested state from the request_state message.

## Static Public Member Functions

static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, Gst::State state)
| This message can be posted by elements when they want to have their state changed.

## Detailed Description

A request state message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageRequestState::MessageRequestState | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageRequestState::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::State | state |
| ) |  |  | `[static]`

This message can be posted by elements when they want to have their state changed.

A typical use case would be an audio server that wants to pause the pipeline because a higher priority stream is being played.

Parameters:

  | src | The object originating the message.
  | state | The new requested state.

Returns:
  The new requst state message. MT safe.

Since 0.10.23.

Gst::State Gst::MessageRequestState::parse | ( |  | ) | const

Extract the requested state from the request_state message.

Returns:
  The state. MT safe.

Since 0.10.23.

The documentation for this class was generated from the following file:

- gstreamermm/message.h